
Infrastructure - Task #2243

Story # 312 (Closed): Identifier generation and reservation

hasReservation: use new SubjectInfo parameter

2012-01-19 19:57 - Ben Leinfelder

Status: Closed Start date: 2012-01-19

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.03-Block.1.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Should now pass in SubjectInfo parameter when checking an Identifier reservation. This way an MN can verify that a submitter

actually holds the lock on the pid.

History

#1 - 2012-01-19 22:44 - Ben Leinfelder

The documentation has the REST call using GET, but we can't include SubjectInfo in the body (there isn't one).

Need to reconcile this.

#2 - 2012-01-19 23:33 - Ben Leinfelder

We will use POST for the request

#3 - 2012-01-20 00:43 - Ben Leinfelder

- Status changed from New to Closed

Now using POST /hasReservation with subjectInfo and pid as MMP in the body.
